import { HcApi } from '../../../request/index'
//  材料计量单
export default {
    //分页
    async getPage(form) {
        return HcApi({
            url: '/api/blade-meter/materialMeterForm/meterPage',
            method: 'get',
            params: form,
        })
    },
    //详情
    async detail(form) {
        return HcApi({
            url: '/api/blade-meter/materialMeterForm/detail',
            method: 'get',
            params: form,
        })
    },
    //新增
    async add(form) {
        return HcApi({
            url: '/api/blade-meter/materialMeterForm/add',
            method: 'post',
            data: form,
        }, false)
    },
    //修改
    async update(form) {
        return HcApi({
            url: '/api/blade-meter/materialMeterForm/update',
            method: 'post',
            data: form,
        }, false)
    },
    //删除
    async remove(form) {
        return HcApi({
            url: '/api//blade-meter/materialMeterForm/remove',
            method: 'post',
            params: form,
        }, false)
    },
}
